/* styles.css */



    body,
    table,
    input
    {
      font-family: DejaVu Sans, sans-serif;
      font-size: 10px;
      margin: 0;
    }

    hr
    {
      background: gold;
      border: 0;
      height: 2px;
      margin: 0 0 2px 0;
    }

    .layout-col
    {
      display: inline-block;
      border: 0px solid cyan;
      vertical-align: top;
      padding: 20px 0 0 20px;
    }

    #container
    {
      padding: 20px;
      background: red;
    }

    #console
    {
      overflow-x: hidden;
      overflow-y: scroll;
      background: black;
      color: white;
      font-family: DejaVu Sans Mono, monospace;
      font-size: 20px;
      font-weight: normal;
      outline: none;
    }

    .line
    {
      border-bottom: 0px solid cyan;
      display: block;
      white-space: pre;
      min-height: 24px;
    }

    #console br
    {
      display: none;
    }

    #cursor
    {
      position: absolute;
      vertical-align: bottom;
    }

    input
    {
      background: gold;
      border: 0;
      color: black;
      margin: 0 2px 2px 0;
      padding: 0 2px;
      width: 30px;
      text-align: right;
    }

    #state input,
    #parameters input
    {
      text-align: center;
      margin-right: 0;
    }

    #container,
    label
    {
      display: inline-block;
    }

    .c
    {
      display: block;
      text-align: center;
      font-weight: bold;
      color: white;
      background: olive;
      width: auto;
      margin: 0 0 2px 0;
    }

    .r
    {
      text-align: right;
    }



    #layout-col-2 label
    {
      width: 82px;
      margin: 0 5px;
    }

    #layout-col-2 input
    {
      width: 40px;
    }

    label,
    #layout-col-3 label
    {
      width: 60px;
      margin: 0 5px;
    }

    label.event-type
    {
      display: inline-block;
      width: 75px;
      text-align: left;
    }

    #layout-col-2 label.c,
    #layout-col-3 label.c
    {
      width: auto;
      margin: 0 0 2px 0;
    }

    .l
    {
      text-align: left;
    }



    table
    {
      margin: 20px 0 2px 0;
      border-spacing: 0;
      border-bottom: 2px solid gold;
    }

    thead th
    {
      font-weight: normal;
      padding: 0;
    }

    thead tr:first-child th:last-child,
    td:last-child
    {
      border-right: 0;
    }

    thead tr:first-child th,
    tbody th
    {
      border-right: 2px solid white;
      border-bottom: 2px solid white;
      text-align: left;
      font-weight: bold;
      color: white;
      background: olive;
      padding: 0 3px;
    }

    td
    {
      border-right: 2px solid white;
      border-bottom: 2px solid white;
      padding: 0;
      border-spacing: 2px;
    }

    table input
    {
      width: 85px;
      margin: 0;
      padding: 0;
    }

    thead tr:first-child th,
    #state .c,
    #parameters .c,
    #blocks .c:first-child
    {
      background: blue;
    }

    tbody .modifier input,
    tbody .ischar   input,
    tbody .char     input
    {
      text-align: center;
    }

    tbody .which     input,
    tbody .charcode  input,
    tbody .keycode   input,
    tbody .asc       input
    {
      text-align: right;
    }

    tbody .modifier input
    {
      width: 155px;
    }

    tbody .char   input
    {
      width: 95px;
    }

    tbody .ischar input
    {
      width: 40px;
    }

    tbody .which input
    {
      width: 35px;
      padding-right: 7px;
    }

    tbody .charcode input,
    tbody .keycode  input
    {
      width: 50px;
      padding-right: 14px;
    }

    tbody .asc input
    {
      width: 25px;
      padding-right: 2px;
    }



/* EOF */
